import Vue from 'vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import App from './App.vue'
import router from './router'
import store from './store'
import vueModuleLoader from 'vue-module-loader'
import localModule from './module'

Vue.use(vueModuleLoader, { store }).use(ElementUI);
/* 
Element-UI用到的图标 
import {
  Menu,
  Submenu,
  MenuItem,
  MenuItemGroup,
  Input,
  Button,
  ButtonGroup,
  Form,
  FormItem,
  Icon,
  Row,
  Col,
} from 'element-ui';
*/

const app = new Vue({
  router,
  store,
  render: h => h(App)
})

app.$moduleLoader(localModule)
app.$mount('#app')
